Bug 174833 - x11/deforaos-keyboard patch for respecting PREFIX
Summary: x11/deforaos-keyboard patch for respecting PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 15:00 UTC by olivier
Modified: 2013-01-03 15:50 UTC (History)
0 users

See Also:


Attachments
deforaos-keyboard.0.2.1_1.diff (463 bytes, patch)
2012-12-30 15:00 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2012-12-30 15:00:00 UTC
	Here is a simple patch that add PREFIX support to x11/deforaos-keyboard
Comment 1 olivier 2012-12-30 15:16:46 UTC
Can you replace my MAKE_ARGS+= line with this new one:

MAKE_ARGS+=    PREFIX=${PREFIX} CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

This will permit to support CFLAGS and LDFLAGS.

Thanks,

On Sun, Dec 30, 2012 at 4:00 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/174833'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174833
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       x11/deforaos-keyboard patch for respecting PREFIX
>>Arrival-Date:   Sun Dec 30 15:00:00 UTC 2012
Comment 2 olivier 2012-12-31 09:00:00 UTC
On Sun, Dec 30, 2012 at 4:16 PM, Olivier Cochard-Labb=E9
<olivier@cochard.me> wrote:
> Can you replace my MAKE_ARGS+=3D line with this new one:
>
> MAKE_ARGS+=3D    PREFIX=3D${PREFIX} CFLAGS=3D"${CFLAGS}" LDFLAGS=3D"${LDF=
LAGS}"
>
> This will permit to support CFLAGS and LDFLAGS.
>


Oops, forgot my last mail: Kept my original patch without adding
CFLAGS and LDFLAGS to MAKE_ARGS, it seems I meet some problem if I add
CFLAGS and LDFLAGS.

sorry for the noise.

Olivier
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 14:52:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2013-01-03 15:47:50 UTC
Author: rm
Date: Thu Jan  3 15:47:41 2013
New Revision: 309893
URL: http://svnweb.freebsd.org/changeset/ports/309893

Log:
  - make it PREFIX-safe
  - bump PORTREVISION
  
  PR:		174833
  Submitted by:	olivier@cochard.me (maintainer)

Modified:
  head/x11/deforaos-keyboard/Makefile

Modified: head/x11/deforaos-keyboard/Makefile
==============================================================================
--- head/x11/deforaos-keyboard/Makefile	Thu Jan  3 15:46:33 2013	(r309892)
+++ head/x11/deforaos-keyboard/Makefile	Thu Jan  3 15:47:41 2013	(r309893)
@@ -3,6 +3,7 @@
 
 PORTNAME=	keyboard
 PORTVERSION=	0.2.1
+PORTREVISION=	1
 CATEGORIES=	x11
 MASTER_SITES=	http://www.defora.org/os/download/download/3696/
 DISTNAME=	Keyboard-${PORTVERSION}
@@ -19,5 +20,6 @@ USE_GNOME=	gtk20
 USE_PKGCONFIG=	build
 USE_XORG=	xtst
 USE_GETTEXT=	yes
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 15:50:06 UTC
State Changed
From-To: open->closed

Committed, thank you!